<?php

	require_once('config.php');
	require_once('sysclub_functions/functions.php');
	require_once('sysclub_class/clientewebservice.php');
	require_once('sysclub_class/mensagem.php');

	$login = Get("login");
	$senha = Get("senha");

	try 
	{
		$client = new WebService();
		$result = $client->Login($login, $senha);
	}
	catch (Exception $e) 
	{
		$mensagem = new Mensagem();
		$conteudo = $mensagem->Make('Servi&ccedil;o de Boleto ON-LINE n&atilde;o esta dispon&iacute;vel...'. $e);
		include("view/template.php");
		exit;
	}
	
	print_r($result);

	if ($result != null) 
	{
		setcookie ("LOGIN",	 $login);
		setcookie ("CODIGO", $result["Codigo"]);
		setcookie ("NOME",	 $result["Nome"]);

		$_SESSION["LOGIN"]	= $login;
		$_SESSION["CODIGO"] = $result["Codigo"];
		$_SESSION["NOME"]	= $result["Nome"];

		$result = $client->ListaDependentes($result["Codigo"]);

		$i = 0 ;
		foreach ($result as $value)
		{
			$_SESSION["DEPENDENTE_CODIGO_". $i] = $value["CODIGO"];
			$_SESSION["DEPENDENTE_NOME_". $i]	= $value["NM_ENTIDADE"];
			$i++;
		}

		$_SESSION["DEPENDENTE"] = count($result);

		header ("Location: index.php");
	} 
	else 
	{
		echo "

		<SCRIPT LANGUAGE='JavaScript'>

			window.alert('Login ou Senha invalida!');
			window.location.href='logout.php';
        
		</SCRIPT> ";

	}

?>